* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

:root {
    --margin-grid: 2rem;
}

@media (max-width: 992px) {
    :root {
        --margin-grid: 1.5rem;
    }
}

@media (max-width: 576px) {
    :root {
        --margin-grid: 1rem;
    }
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  cursor: url('../img/cursor.jpg'), auto;
}


/* ---------- TEXT SELECTION ---------- */

*::selection {
  color: whitesmoke;
  background: black;
}

i::selection {
  color: white;
  background: black;
}

.container-fluid {
  padding-left: var(--margin-grid);
  padding-right: var(--margin-grid);
}

.row {
    --bs-gutter-x: 1rem;
}

a {
  color: inherit;
  text-decoration: none;
}


/* ---------- HEADER ---------- */

header {
  position: fixed;
  width: 100%;
  top: 0;
  left: 0;
  display: flex;
  justify-content: space-between;
  align-items: center;
  height: 5rem;
  padding: 0 var(--margin-grid);
  background-color: #f6f6f6;
  z-index: 100;
  font-size: 1.3rem;
}

/* Logo size adjustment */
header .logo-image {
  padding-top: 0.6rem;
  width: 70px; /* Change this value to your desired logo width */
  height: auto;
}

header nav ul {
  display: flex;
  gap: 1.5rem;
  list-style: none;
}

header nav ul li a {
  font-family: "pp mori";
}

header nav ul li a:hover {
  text-decoration: underline;
}

header nav ul li a.active {
  text-decoration: underline;
}


/* ---------- MAIN ---------- */
main {
  margin-top: 4rem;
}

@font-face {
  font-family: "pp mori";
  src: url("fonts/PPMori-Regular.woff2");
}

body {
  font-family: "PP Mori", sans-serif;
  min-height: calc(100dvh - 9rem);
  background-color: #f6f6f6;
}

/* ---------- HOME ---------- */

main.home {
  display: flex;
  align-items: flex-end;
  padding-top: var(--margin-grid);
  padding-bottom: var(--margin-grid);
  padding-left: 0;
  padding-right: 0;
}

main.home .home-image {
  width: 100%;
  
}

main.home .home-image img {
  width: 100%;
  height: auto;
  display: block;
  position: fixed;
  bottom: 0;
}


/* ---------- ABOUT ---------- */

main.about {
    padding-top: 0.1rem;
}

main.about section {
    margin-top: 2rem;
}

/* ---------- TEXTO ABOUT ---------- */
.about-text { 
  font-size: 2.8rem; 
  line-height: 1.3; 
  margin-bottom: 5.2rem;
  display: flex;
}


/* ---------- CONTACTOS ABOUT ---------- */
.about-contact,
.about-social-media {
    font-size: 1.5rem;
    padding-top: 2.6rem;
}

.about-social-media {
padding-left: 6rem;
}


/* ---------- IMAGEM ABOUT ---------- */
.about-image {
  width: 100%;
  height: auto; /* Altura máxima para evitar distorção */
  max-height: calc(100dvh - 9rem); /* Limite visual */
  min-height: calc(100dvh - 9rem); /* Limite baseado na altura da viewport */
  object-fit: cover; /* Mantém cortes bonitos */
  display: block;
  border-radius: 0.3rem;
}

/* ---------- HOVER ABOUT ---------- */ 
main.about section .about-social-media a:hover { 
text-decoration: underline;
}


/* ---------- ABOUTV2 MOBILE ---------- */
@media (max-width: 768px) {

   .about-text {
  font-size: 22px;
  line-height: 1.3;
  word-spacing: 1px;
}

  .about-contact {
    margin-top: 0rem;
    font-size: 18px;
  }

  .about-social-media {
    padding-left: 6.rem;
    text-align: right;
     font-size: 18px;
  }

  .about-image {
  margin-top: 1rem;
  border-radius: 0.3rem;
}
}




/* ---------- WORK ---------- */

main.work .card{
  margin-bottom: 1rem;
  
}

main.work .card-image{
  aspect-ratio: 4/2.5;
  background-color: rgb(159, 159, 159);
  margin-top: 0.4rem;
  position: relative;
  transition: filter 0.2s ease-in-out;
  overflow: hidden;
  height: 100%;
  width: 100%;
  border-radius: 0.3rem;
}

main.work .card-image:hover {
  filter: grayscale(100%);
  transform: scale(1.01);
}

main.work .card-image {
  transition: filter 0.2s ease-in-out, transform 0.2s ease-in-out;
      margin-top: 1.5rem;
}

main.work .card-image img{ 
  width: 105%;
  height: 100%;
  object-fit: cover;
  display: block;
  height: 100%;
  width: 100%;
  
}

main.work .card-title{
  font-size: 1.5rem;
  margin-top: 0.8rem
}

@media(max-width: 992px) {
    .work .card-title {
        font-size: 2rem;
    }
}

main.work .card-image::after {
  content: attr(data-title);
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;

  background-color: rgba(0, 0, 0, 0.7);

  display: flex;
  align-items: center;
  justify-content: center;

  color: white;
  font-size: 1.5rem;
  font-family: "pp mori";
  font-weight: 500;
  text-align: center;
  padding: 1rem;

  opacity: 0;
  transition: all 0.3s ease;

  z-index: 2;
}

main.work .card-image:hover::after {
  opacity: 0.5;
}

main.projects .alquimia .single-title {
margin-top: 10rem;
}


/* ---------- FUN ---------- */

@media (max-width: 576px) {
  main.fun p {
    font-size: 1.4rem;
    padding-top: 3rem;
  }
}
.fun
.animated-image-below {
  width: 11rem;
  height: auto;
  display: block;
  margin-top: 1.5rem;
  margin-left: 1rem;
  padding-bottom: 0.7rem;
  
}

.animated-image-below ul li {
  font-size: 0.85rem;
  line-height: 0.5rem;
  height: auto;
  display: block;
  padding-top: 0.6rem;
  margin-left: 1rem;
}

.fun .card{
    margin-bottom: 2rem;
      border-radius: 0.3rem;
      
}

@media(max-width: 992px) {
    .fun .card{
        margin-bottom: 2rem;
    }
}

.fun .card-image {
    width: 100%;
    padding-bottom: 60%;
    background-size: cover;
    
    background-position: center;
    margin-bottom: 1rem;
    filter: grayscale(100%);
    transition: all .2s ease;
    -webkit-filter: grayscale(100%);
    border-radius: 0.3rem;   
}

.fun .card-image2 {
    width: 100%;
    margin-top: 2rem;
    padding-bottom: 60%;
    background-size: cover;
    background-position: center;
    margin-bottom: 2rem;
      border-radius: 0.3rem;
}

.fun .card-image3 {
    width: 100%;
        margin-top: 2rem;
    padding-bottom: 60%;
    background-size: cover;
    background-position: center;
    margin-bottom: 2rem;
    border-radius: 0.3rem;
}

@media(max-width: 992px) {
    .fun .card-image {
        margin-bottom: .5rem;
    }
}

@media(max-width: 992px) {
    .fun .card-title {
        font-size: 2rem;
    }
}


/* ---------- SINGLE ---------- */

   main.single .single-sticky {
  position: sticky;
  top: 5.9rem;
  margin-bottom: 2rem;
  line-height: 1.5rem;
  border-radius: 0.3rem;
  }

  main.single .single-title {
  font-size: 1.5rem;
  margin-bottom: 1.9rem;
  }

main.single .single-images img{
  width: 100%;
  height: auto;
  display: block;
  margin-bottom: 1rem;
    margin-top: 2.1rem;
  border-radius: 0.3rem;
  }

  main.single .single-date p{
    margin-top: 1.9rem;
    font-size: 0.85rem;
    line-height: 1.2rem;
  }


  .single-team p {
    margin-top: 1rem;
    font-size: 0.85rem;
    line-height: 1.2rem;  }
   
.single-team a:hover {
    text-decoration: underline;
}